Xshell5使用报更新错误

最近想连接服务器进行一波测试操作,结果发现xshell给我报错了。无奈只能进行改造一波了。

问题定位:超过2018-12-25之后,xshell会自动请求更新,不更新就不给你用。

对应问题定位,我们就有了解决办法,假装时间在2018-12-25之前就可以了。

第一个方法:改系统的时间

直接改系统的时间就ok了,然后就可以正常打开xshell了。这种方法适用于用一次的老哥,就是只用一次或者几次xshell的老哥,很方便,直接改系统时间就可以了。但是如果你想拥有正常的日期的话恐怕就不想用这种方法了。

第二种方法:采用修改日期的bat文件启动xshell

具体方式:

写入bat文件,然后放在与xshell.exe一个文件夹下,以管理员权限启动就ok了

这个方法的好处就是不用自己去修改系统日期了,而是放在bat文件里面了

坏处也很明显,那就是每次都要通过这个文件去启动xshell,也是有点麻烦的

第三个方法:修改配置文件

本人使用的就是这个方法,用的软件是UltraEdit软件进行修改。

打开xshell目录下的nslicense.dll文件,

搜索7F0C81F98033E1010F8680

替换为7F0C81F98033E101E98100。

然后保存文件,如果遇到权限问题无法保存的话,那么就把修改后的文件另存为到一个地方,然后再替换掉xshel下的nslicense.dll文件就可以了。

PS:如果你不想自己去写的话,本站也提供了下载,你放进去就ok了。

下载 “xshell5.bat以及nslicense.dll文件(解压密码:www.lstazl.com)” xshell以及nslicesne.zip – 已下载291次 – 145 KB

如果想要安装破解版的UltraEdit软件,请看这篇文章:UltraEdit软件安装

为您推荐

发表评论

电子邮件地址不会被公开。 必填项已用*标注